package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 黑名单对象 company_voice_blacklist
 * 
 * @author fs
 * @date 2023-02-23
 */
public class CompanyVoiceBlacklist extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long blacklistId;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobile;

    /** 企业ID */
    private Long companyId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    public void setBlacklistId(Long blacklistId) 
    {
        this.blacklistId = blacklistId;
    }

    public Long getBlacklistId() 
    {
        return blacklistId;
    }
    public void setMobile(String mobile) 
    {
        this.mobile = mobile;
    }

    public String getMobile() 
    {
        return mobile;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("blacklistId", getBlacklistId())
            .append("mobile", getMobile())
            .append("companyId", getCompanyId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
